#include "Pas.h"
#include <sstream>

Pas::Pas(string naziv)
{
    setNaziv(naziv);
    setTezina(0);
}

Pas::Pas(string naziv, string datum, double tezina) : Pas(naziv)
{
    setNaziv(naziv);
    setDatum(datum);
    setTezina(tezina);
}

void Pas::setNaziv(string naziv)
{
    this->naziv = naziv;
}

void Pas::setDatum(string datum)
{
    this->datum = datum;
}

void Pas::setTezina(int tezina)
{
    this->tezina = tezina;
}

string Pas::getNaziv()
{
    return naziv;
}

string Pas::getDatum()
{
    return datum;
}

double Pas::getTezina()
{
    return tezina;
}

string Pas::toString()
{
    std::stringstream ss;
    ss << "Naziv: " << naziv << "\n" << "Datum: " << datum << "\n" << "Tezina: " << tezina;
    return ss.str();
}
